@charset "UTF-8";

*, ::after, ::before {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
:root {
  --bgc-color: #1e2d42;
  --acent-color: #a4822e;
  --acent-bgc: #faf8e9;
  --text-color: #3b381d;
  --font-h2: "Kaisei Decol", serif;
}

/* 基本情報 */
html {
    scroll-behavior: smooth;
}
body {
  color: var(--text-color);
  font-family: "Times New Roman", "Yu Mincho", "游明朝", "MS PMincho", "MS 明朝", serif;
  font-weight: 400;
  font-style: none;
  line-height: 2.5;
  letter-spacing: 0.2em;
  background-color: var(--bgc-color);
  font-size: clamp(14px, 2.1vw, 16px);
}
a {
  text-decoration: none;
  color: var(--acent-color);
  font-weight: 600;
}

ul {
  list-style: none;
}
li {
  font-size: 24px;
}
img {
  width: 100%;
  font-display: block;
}

h2 {
  font-family: var(--font-h2);
  color: var(--acent-color);
  font-weight: 500;
  font-style: normal;
  font-size: clamp(22px, 4.9vw, 28px);
  margin-top: 100px;
  border-bottom: 1px dashed var(--acent-color);
  display: inline-block;
}
h3 {
  font-weight: 500;
  font-size: clamp(16px, 2.3vw, 18px);
}
p {
  font-size: clamp(14px, 2.1vw, 16px);
}

.W-container {
  max-width: 1166px;
  width: 90%;
  margin-left: auto;
  margin-right: auto;
}
#about, #menu, #access, .tanunino-hitokoto {
  text-align: center;
}
#menu {
  margin-top: 160px;
}
.line img:last-child {
  margin-top: 60px;
}
.hover:hover {
  border-bottom: 1px dashed var(--acent-color);
}
.line1 {
  margin-top: 0;
}
.line {
  width: 100%;
  margin-top: 60px;
}
/* ヘッダー */
header {
  background-color: var(--bgc-color);
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
  height: 70px;
  position: fixed;
  inset: 0;
  z-index: 99;
}
.header {
  height: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.header img {
  width: 110px;
  height: auto;
  display: inline-block;
}
.header ul {
  display: flex;
  gap: 20px;
}
@media(max-width:768px) {
  .header img {
    width: 70px;
    height: auto;
  }
}
/* メインビジュアル */
.main-visual {
  margin-top: 70px;
  height: 100vh;
  background-color: var(--bgc-color);
  text-align: center;
}
.main-visual img {
  width: 50%;
  margin-top: 50px;
}
.main-visual h3 {
  margin-top: 40px;
  color: var(--acent-color);
}
@media(max-width:768px) {
  .main-visual img {
    width: 350px;
    height: auto;
    margin-top: 60px;
  }
  .main-visual h3 {
    margin-top: 70px;
  }
}
/* お店について */
.about {
  display: flex;
  flex-direction: column;
}
.about p {
  color: var(--acent-bgc);
}
.about-1 img{
  width: 35%;
}
.about-2 img{
  width: 35%;
}
.about-1 {
  margin-top: 100px;
  gap: 50px;
  display: flex;
  align-items: center;
}
.about-2 {
  margin-top: 100px;
  gap: 50px;
  display: flex;
  flex-direction: row-reverse;
  align-items: center;
}
/* お店について ::::モバイル版*/
  @media(max-width: 768px) {
    .about-1 {
      flex-direction: column;
    }
    .about-1 img {
      width: 300px;
      height: 150px;
      object-fit: cover;
    }
    .about-2 {
      flex-direction: column;
    }
    .about-2 img {
      width: 300px;
      height: 150px;
      object-fit: cover;
    }
  }
/* お品書き */
#menu {
  background-color: var(--acent-bgc);
  margin-left: 50px;
  margin-right: 50px;
  padding-top: 10px;
  padding-bottom: 150px;
}
.menu {
  display: grid;
  grid-template-columns: repeat(2, calc(100% / 3));
  gap: 100px;
  margin-top: 80px;
  margin-left: 20px;
  margin-right: 20px;
  justify-content: center;
}
.menu img {
  width: 50%;
}
.menu span {
  margin-left: 20px;
}
.menu p {
  margin-top: 20px;
}
.menu-card1 {
  display: inline-block;
}

@media(max-width: 768px) {
  .menu {
  grid-template-columns: 1fr;
  gap: 20px;
}
}
/* 迷い方 */
.access {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-top: 100px;
}
.access p {
  color: var(--acent-bgc);
}
.access-text span {
  border-bottom: 1px dashed var(--acent-color);
  padding-bottom: 0.3em;
}
.access-map {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 60px;
  gap: 80px;
}
.access-map a {
  display: table;
  margin: 0 auto;
}
.maplink p {
  color: var(--acent-color);
}
.access-map img {
  width: 400px;
  height: auto;
}
.access-table {
  color: var(--acent-bgc);
}
.access-table th {
  border-right: 1px dashed var(--acent-color);
}
.access-table th, .access-table td {
  border-bottom: 1px dashed var(--acent-color);
  text-align: left;
  padding: 0.5em;
}
.access-table tr:last-child th,
.access-table tr:last-child td {
  border-bottom: none;
}
/* 迷い方：：：：：モバイル版 */
@media(max-width:900px) {
  .access-map {
    flex-direction: column;
  }
}
@media(max-width: 768px) {
  .access-map img {
    width: 300px;
    height: auto;
  }
}
/* 今日のひとこと */
.hitokoto {
  display: inline-block;
  padding: 4em 2.5em;
  text-align: center;
  border: 4px double var(--acent-color);
  color: var(--acent-bgc);
  margin-top: 100px;
  position: relative; 
}

/* 好きな場所に配置したい装飾画像 */
.absolute-deco {
  position: absolute;
  top: 130px;
  right: -30px;
  width: 100px;   
  height: auto;
}
/* フッター */
.footer-footer {
  padding-top: 80px;
  margin-top: 160px;
  display: flex;
  flex-direction: column;
  background-color: var(--text-color);
}
.footer {
  display: flex;
  gap: 400px;
  align-items: center;
  max-width: 1000px; 
  margin: 0 auto; 
}
.footer p {
  color: var(--acent-bgc);
}
.footer-access { 
  flex-direction: column;
  text-align: center;
}
.logo {
  width: 150px;
  height: auto;
}
.insta-logo {
  width: 60px;
  height: 60px; 
  flex-shrink: 0;  
  opacity: 80%;
  margin-top: 40px;
}

.footer-list img {
  width: 15%;
  text-align: right;
  margin-top: 80px;
  margin-left: 80px;
}
.footer-nav li {
  font-size: 28px;
}
.footer-nav span {
  color: var(--acent-color);
  font-size: 16px;
  margin-left: 30px;
}
.footer-nav span:first-child {
  border-left: 1px dashed var(--acent-color);
}
.copyright  {
  color: #a4822e;
  text-align: center;
}
/* フッター：：：：モバイル版 */
@media(max-width:900px) {
  .footer {
    flex-direction: column-reverse;
    gap: 80px;
  }
  .footer-list {
    text-align: center;
  }
  .footer-list img {
    margin: 0;
    margin-top: 40px;
  }
}